# Get application information.

GET

/v2/applications/{application-id}

Given a application ID, it returns application information including creator, approval and clear programs, global and local schemas, and global state.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Parameters

### Path Parameters

**application-id**  
required  
integer  
An application identifier.

## Responses

### 200

Application information  
Select media type application/json

Application index and its parameters  
object

**id**  
required  
[appidx] application index.  
integer

**params**  
Stores the global information associated with an application.  
object

**approval-program**  
required  
[approv] approval program.  
string format: byte  
/^(?:[A-Za-z0-9+/]\{4})*(?:[A-Za-z0-9+/]\{2}==|[A-Za-z0-9+/]\{3}=)?$/

**clear-state-program**  
required  
[clearp] approval program.  
string format: byte  
/^(?:[A-Za-z0-9+/]\{4})*(?:[A-Za-z0-9+/]\{2}==|[A-Za-z0-9+/]\{3}=)?$/

**creator**  
required  
The address that created this application. This is the address where the parameters and global state for this application can be found.

string

**extra-program-pages**  
[epp] the amount of extra program pages available to this app.  
integer format: uint64

**global-state**  
Represents a key-value store for use in an application.  
Array<object>  
Represents a key-value pair in an application store.

object

**key**  
required  
string

**value**  
required  
Represents a TEAL value.

object

**bytes**  
required  
[tb] bytes value.  
string

**type**  
required  
[tt] value type. Value `1` refers to **bytes**, value `2` refers to **uint**

integer

**uint**  
required  
[ui] uint value.  
integer format: uint64

**global-state-schema**  
Specifies maximums on the number of each type that may be stored.  
object

**num-byte-slice**  
required  
[nbs] num of byte slices.  
integer format: uint64

**num-uint**  
required  
[nui] num of uints.  
integer format: uint64

**local-state-schema**  
Specifies maximums on the number of each type that may be stored.  
object

**num-byte-slice**  
required  
[nbs] num of byte slices.  
integer format: uint64

**num-uint**  
required  
[nui] num of uints.  
integer format: uint64

**size-sponsor**  
[ss] the account responsible for extra pages and global state MBR  
string

**version**  
[v] the number of updates to the application programs  
integer

### 400

Bad Request  
Select media type application/json

An error response with optional data field.  
object

**data**  
object

**message**  
required  
string

### 401

Invalid API Token  
Select media type application/json

An error response with optional data field.  
object

**data**  
object

**message**  
required  
string

### 404

Application Not Found  
Select media type application/json

An error response with optional data field.  
object

**data**  
object

**message**  
required  
string

### 500

Internal Error  
Select media type application/json

An error response with optional data field.  
object

**data**  
object

**message**  
required  
string

### default

Unknown Error
